cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle Install Problems

Henry Goverde
Frequent Advisor

Oracle Install Problems

Hi,
I have been trying to install Oracle 8.0.5 on an A class server. First I did a clean install of HPUX 10.20 and patched with the Dec 2001 support CD.

Whenever we try to install Oracle, we get an "execute permission denied" for svrmgrl when the script to start the database executes.

If I manually try to run the svrmgrl as either root or oracle I have the same problem.

The permissions on the files are 755. Oracle is the user running the install and belongs to the dba group.

Has anyone any suggestions or seen this before?

Thanks in Advance.

Henry

P.S. - I won't be looking at this until Monday...It's been a bad week.
10 REPLIES
Jon Mattatall
Esteemed Contributor

Re: Oracle Install Problems

I installed 8.1.6 last week and we got "execute permission denied" for svrmgrl as well.

It's a wild stab, but check $ORACLE_HOME/bin and check the size of svrmgrl and svrmgrl0. In our case, svrmgrl was size 0, and I had to run a "make" to fix it.

If this is the problem (strange as it was), reply and I'll dig up the make command.
A little knowledge is dangerous - none is absolutely terrifying!!!
Brian Crabtree
Honored Contributor

Re: Oracle Install Problems

You will need to patch your linker with PHSS_22514 (or later). See metalink article http://metalink.oracle.com/metalink/plsql/ml2_documents.showDocument?p_database_id=NOT&p_id=124498.1

Hope this helps,

Brian
Steven E. Protter
Exalted Contributor

Re: Oracle Install Problems

Okay, why HP-UX 10.20? Support for that version is soon going to be nil.

Why not 11.00 and a more current version of Oracle 8.1.7.4.0?

Seems like you're making your life extra hard thats all.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Indira Aramandla
Honored Contributor

Re: Oracle Install Problems

Hi,

This could be an existing bug. Install HP-UX linker tools cumulative patch PHSS_????? or later. After you install this patch, all of the Oracle executables need to be relinked:

Please refer to the attached metalink Note:. Fo a detailed description and a step by step procedure / workaroud for this problem.

But the HP-UX 10.20 support will be expiting by 30-JUN-2003, so if possible why not go for HP-UX 11.0 or 11i. AndThe lates release in oracle 8i is 8.1.7.4 .

Hope this helps, and you have a better week.
Never give up, Keep Trying
Henry Goverde
Frequent Advisor

Re: Oracle Install Problems

The reason for HPUX 10.20 is that the customer who owns the development system (government) wants to upgrade an application without upgrading the existing OS and DB software. (We are working on that).

If this were a new client we would have used HPUX 11i and Oracle 9x.

I am in the process of installing the latest ln patches for HPUX 10.20 and will let you know if this helps.

Thanks for taking the time to lend assistance,

Henry
Henry Goverde
Frequent Advisor

Re: Oracle Install Problems

HI Again.

I installed the latest linker patch for 10.20 (PHSS_28301 and 28649 - according to my search). Then I went through the steps to relink taken from Oracle metalink.

Bottom line is I still get the "execute permission denied" when trying to run svrmgrl.

Could I have installed an HP patch that causes this? We have the same Oracle & HPUX on a K Class with patch levels to June 2001 and had no installation issues.

Any other suggestions?

Thanks in Advance,

Henry
Indira Aramandla
Honored Contributor

Re: Oracle Install Problems

Hi Henry,

I think it is to do with the patch set that was installed. Was Oracle 8.0.5 that you installed a (32-bit / 64-bit) version. Oracle says this problem normally only occurs with the 64bit versions of Oracle.

So I was wondering if the correct patch level for (32-bit / 64-bit) was applied and executables re-linked then this should fix the problem.

HP-UX linker tools cumulative patchs are PHSS_22514 or later.

Here are some patch levels that fix the issue. HP patch PHSS_21947 (cumulatve linker patch) will fix the problem for both 817 and 806 64-bit.
Previous HP patch PHSS_20014 which would fix this problem, but has been withdrawn by HP because of other problems.

After you install the correct patch, all of the Oracle executables need to be relinked which you are doing now.
Hope this helps
Never give up, Keep Trying
Sunil Sharma_1
Honored Contributor

Re: Oracle Install Problems

Hi,

This problem seems to be related to some kernel parameters. why don't you go through Oracle manual and set the Kernel parameter i think it's maxtsize properly. just compare kernel seting with your other K-class server.

I faced same problem long back and solution was some kernel tuning.

Sunil
*** Dream as if you'll live forever. Live as if you'll die today ***
Henry Goverde
Frequent Advisor

Re: Oracle Install Problems

Hi,

It seems that when we relink the oracle (or when it gets relinked during install) we get a lot of warnings about PA 2.0 objects being detected.

As far as I know the A-Class has a 180 MHz PA-7300 cpu which is probably a PA 1.1e cpu.

Could this have any effect?

If we install just the oracle server without relinking we do not recieve any "execute permission denied" errors (although we have other issue).

Any thoughts?

Thanks in Advance,

Henry
Henry Goverde
Frequent Advisor

Re: Oracle Install Problems

Well we finally traced the issue to some patches being installed that were just for PA 2.0 systems.

I've learned never to choose "Match what the target has" when installing patches from the support plus CD's.

Thanks for all your help.

Henry